#include <stdio.h>
#include <string.h>
#define MAXC 25
#define MAXN 2000

int num[MAXN];
int bufn[MAXN];
int wrd[MAXN];

char outnum[MAXN];
char outwrd[MAXC];

int bas;

void print(int *s) {
  int i=0;
  while(s[i] != -1) { printf("%d ",s[i]); i++; }
  printf("\n");
}

void add(int* src, int index, int x) {
  int i=index; 
  int cis = 0;
  do {
    printf("add src: "); print(src);
    if (src[i] == -1) { src[i] = 0; src[i+1] = -1; }
    cis += src[i] + (x % 10);
    src[i] = cis % 10;
    cis /= 10;
    i++;
  } while(cis != 0);
}

void mul(int* src, int x, int* dst) {
  int cis = 0, j=0;
  dst[0] = -1;
  do {
    cis = x % 10;
    x /= 10;
    for(int i=j; src[i] != -1; i++)
      add(dst, i, src[i]*cis);
    printf("mul dst: "); print(dst);
    j++;
  } while(x>0);
}

int* wrd2num() {
  int i=0;
  bufn[0] = -1;
  int *src = num, *dst = bufn;
  printf("wrd: "); print(wrd);
  while(src[i] != -1) {
    mul(src,26,dst);
    printf("mul: "); print(dst);
    add(dst,0,wrd[i]);
    printf("add: "); print(dst);
    i++;
    int* tmp = src;
    src = dst;
    dst = tmp;
  }
  return src;
}

int div(int* src, int x, int* dst) {
  int cis=0, is=0, id=0;
  for(;;) {
    while(cis < x) { 
      if (src[is] == -1) break;
      cis = cis*10 + src[is++]; 
      if (id>0) dst[id++] = 0;
    }
    dst[id] = cis / x;
    cis = cis - dst[id]*x;
    id++;
  }
  dst[id] = -1;
}

void num2wrd() {
  int i=0;
  int *src = num, *dst = bufn;
  while(src[0] != -1) {
    wrd[i++] = div(src,26,dst);
    int* tmp = src;
    src = dst;
    dst = tmp;    
  }
  wrd[i] = -1;
}

int main() {
  int i;
  for(;;) {
    char buffer[MAXN];
    scanf("%s\n",buffer);
    if (buffer[0] == '*') break;
    int l=strlen(buffer);  
    if (buffer[0] >= 'a' && buffer[0] <= 'z') {
      for(i=0; i<l; i++)
        wrd[i] = buffer[i] - 'a' + 1;
      wrd[i] = -1;
      int* res = wrd2num();
      int nlen = 0, j=0;
      while(num[nlen] != -1) nlen++;
      while(--nlen >= 0) {
        outnum[j++] = res[nlen] + '0';
	if (nlen % 3 == 0 && nlen != 0)
	  outnum[j++] = ',';
      }
      outnum[j] = '\0';
      strcpy(outwrd,buffer);
    } else {
      for(i=0; i<l; i++)
        num[i] = buffer[i] - '0';
      num[i] = -1;
      num2wrd();
      int j=0, k=0;
      while(wrd[j] != -1) j++;
      while(--j >= 0) { outwrd[k++] = wrd[j] + 'a' - 1; }
    }
    printf("%22s%s\n",outwrd,outnum);
  }
  return 0;
}
