#include <stdio.h>

#define FILLA 0
#define FILLB 1
#define POURBA 2
#define POURAB 3
#define EMPTYA 4
#define EMPTYB 5

struct stav {
  unsigned char action;
  int prev, a, b;
};

stav halda[2000000];
stav* fronta[1000000];
int uzbyl[1024][1024];
int ftop,fbot,nhld,CA,CB,N,id=1;
stav* reseni;

void init() {
  for(int i=0; i<1024; i++)
    for(int j=0; j<1024; j++)
      uzbyl[i][j] = 0;
}

int min(int a, int b) {
  if (a<b) return a;
  return b;
}

int max(int a, int b) {
  if (a<b) return b;
  return a;
}

void pourab(stav* ps, stav* pnew) {
  int kolik = min(CB-ps->b,ps->a);
  pnew->action = POURAB;
  pnew->a = ps->a-kolik;
  pnew->b = ps->b+kolik;
  return pnew;
}

void put(stav* ps) {
  if (uzbyl[ps->a][ps->b] != id) {
    uzbyl[ps->a][ps->b] = id;
    fronta[ftop++] = ps;
    nhld++;
  }
}

int main() {
  init();
  while(scanf("%d %d %d\n",&CA,&CB,&N) != EOF) {
    ftop=fbot=nhld=0;
    halda[nhld].prev = -1;
    halda[nhld].a = 0;
    halda[nhld].b = 0;
    fronta[ftop++] = nhld++;
    for(;;) {
      int prev = fronta[fbot++];
      stav* ps = &halda[prev], *pnew;
      if (ps->a == N || ps->b == N) { reseni = ps; break; }
      pnew = &halda[nhld];
      pourab(ps,pnew);
      pnew->prev = prev;
      put(pnew);
      
    }
    id++;
  }
  return 0;
}